# Get Transaction Details By Transaction Hash XRP

Through this endpoint customers can obtain details about a XRP transaction by the transaction's unique identifier. 

Since XRP is a different blockchain than Bitcoin and Ethereum, it isn't unified.

- **Endpoint:** `GET https://rest.cryptoapis.io/transactions/xrp/{network}/{transactionHash}`
- **Authentication:** `x-api-key` header
- **Credits cost:** 20 credits for 1 result by default; per blockchain: XRP: 20
- **Documentation page:** https://developers.cryptoapis.io/v-2.2024-12-12-175/RESTapis/transactions-data-xrp/get-transaction-details-by-transaction-hash-xrp/get

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `network` | string | yes | Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while network like "testnet" is a test network. Allowed values: `mainnet`, `testnet`. |
| `transactionHash` | string | yes | Represents the same as `transactionId` for account-based protocols like Ethereum, while it could be different in UTXO-based protocols like Bitcoin. E.g., in UTXO-based protocols `hash` is different from `transactionId` for SegWit transactions. |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |

## Responses

| Status | Description |
| --- | --- |
| 200 | The request has been successful. |
| 400 | 400 |
| 401 | 401 |
| 402 | 402 |
| 403 | 403 |
| 404 | Resource not found |
| 409 | The data provided seems to be invalid. |
| 415 | The selected Media Type is unavailable. The Content-Type header should be 'application/json'. |
| 422 | Your request body for POST requests must have a structure of { data: { item: [...properties] } } |
| 429 | The request limit has been reached. There can be maximum {requests} requests per {seconds} second(s) made. Please contact our team via email if you need more or upgrade your plan. |
| 500 | An unexpected server error has occurred, we are working to fix this. Please try again later and in case it occurs again please report it to our team via email. |

### Example 200 response

```json
{
  "apiVersion": "2024-12-12",
  "requestId": "601c1710034ed6d407996b30",
  "context": "yourExampleString",
  "data": {
    "item": {
      "additionalData": "rPmPErQe4g9725pcNxJpuvKkdqTESTQ6Tu",
      "destinationTag": 3999472835,
      "fee": {
        "amount": "0.0021",
        "unit": "XRP"
      },
      "hash": "36a1737481edec87bacc3101dfb752ae2c76f9171e7edebe587e330c1ea77c8d",
      "offer": {
        "amount": "3.0154",
        "unit": "XRP"
      },
      "positionInBlock": "2",
      "receive": {
        "amount": "2.1256",
        "unit": "XRP"
      },
      "recipient": "rJ6DPnjeZbZF6EYqzTQPP9nAmhMuxXjPUT",
      "sender": "rJ6DPnjeZbZF6EYqzTQPP9nAmhMuxXjPUT",
      "status": "tesSUCCESS",
      "timestamp": 1582202940,
      "type": "Payment",
      "value": {
        "amount": "3.0254",
        "unit": "XRP"
      },
      "minedInBlock": {
        "hash": "3f7af58d6cf1cd9020fb285d8e3e215131800d5109e42647ffd9b3aeae59df33",
        "height": 15973802
      }
    }
  }
}
```

### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apiVersion` | string | yes | Specifies the version of the API that incorporates this endpoint. |
| `requestId` | string | yes | Defines the ID of the request. The `requestId` is generated by Crypto APIs and it's unique for every request. |
| `context` | string | no | In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. `context` is specified by the user. |
| `data` | object | yes |  |
| `data.item` | object | yes |  |
| `data.item.additionalData` | string | yes | Represents additional data that may be needed. |
| `data.item.destinationTag` | integer | no |  |
| `data.item.fee` | object | yes |  |
| `data.item.fee.amount` | string | yes | Defines the amount of the fee. |
| `data.item.fee.unit` | string | yes | Defines the unit of the fee. |
| `data.item.hash` | string | yes | Represents the same as `transactionId` for account-based protocols like Ethereum, while it could be different in UTXO-based protocols like Bitcoin. E.g., in UTXO-based protocols `hash` is different from `transactionId` for SegWit transactions. |
| `data.item.offer` | object | yes | Defines the specific offer. |
| `data.item.offer.amount` | string | yes | Defines the amount of the offer. |
| `data.item.offer.unit` | string | yes | Defines the unit of the offer. |
| `data.item.positionInBlock` | string | yes | Defines the index of the transaction, i.e. the consecutive place it takes in the blockchain. |
| `data.item.receive` | object | yes | Defines on object array of the funds for which an offer is made. |
| `data.item.receive.amount` | string | yes | Defines the amount of the funds for which an offer is made. |
| `data.item.receive.unit` | string | yes | Defines the unit of the funds for which an offer is made. |
| `data.item.recipient` | string | yes | String representation of the movement recipient address |
| `data.item.sender` | string | yes | String representation of the movement sender address |
| `data.item.status` | string | no | Defines the status of the transaction. |
| `data.item.timestamp` | integer | yes | Defines the exact date/time in Unix Timestamp when this transaction was mined, confirmed or first seen in Mempool, if it is unconfirmed. |
| `data.item.type` | string | yes | Defines the type of the transaction. |
| `data.item.value` | object | yes |  |
| `data.item.value.amount` | string | yes | Defines the amount of the value. |
| `data.item.value.unit` | string | yes | Defines the unit of the value. |
| `data.item.minedInBlock` | object | yes |  |
| `data.item.minedInBlock.hash` | string | yes | Represents the hash of the block where this transaction was mined/confirmed for first time. The hash is defined as a cryptographic digital fingerprint made by hashing the block header twice through the SHA256 algorithm. |
| `data.item.minedInBlock.height` | integer | yes | Represents the hight of the block where this transaction was mined/confirmed for first time. The height is defined as the number of blocks in the blockchain preceding this specific block. |
